v_sdirxss: fzetta_fmc_spi.c File Reference

| v_sdirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
fzetta_fmc_spi.c File Reference

## Overview

FMC configuration file.

This file configures the FMC card for KCU116 SDI Tx to SDI Rx loopback design

    MODIFICATION HISTORY:

    Ver   Who  Date       Changes

    1.0  jsr   03/07/2018 Initial version

## Functions
int | fzetta_fmc_spi_init (u8 Dev_ID)
| This function Initialize SPI IP and its corresponding drivers and configptr instances. More...
int | fzetta_fmc_spi_devices_register_write (spi_slave_sel Slave_Sel, u8 RegAddr, u8 RegData)
| This function Fidus Zetta FMC Macom SPI Devices Register Write Driver:M23428; EQ:M23554; Reclocker:M23145. More...
u8 | fzetta_fmc_spi_devices_register_read (u32 Slave_Sel, u8 RegAddr)
| This function Fidus Zetta FMC Macom SPI Devices Register Write Driver:M23428; EQ:M23554; Reclocker:M23145. More...

## Function Documentation

u8 fzetta_fmc_spi_devices_register_read | ( | u32 | Slave_Sel,
|  | u8 | RegAddr
| ) |  |

This function Fidus Zetta FMC Macom SPI Devices Register Write Driver:M23428; EQ:M23554; Reclocker:M23145.

Register Read SPI Sequence: Register Latching: 2 byte SPI write sequence with first MSB = 1 Byte 1: [7]=1 (rd) + [6:0]=Register Address Byte 2: [7:0]= Dummy Data (0xFF)

Data Acquisition: (from MISO) 2 byte SPI write sequence with first MSB = 1 Byte 1: [7]=1 (rd) + [6:0]=Register Address Byte 2: [7:0]= Register Data

Parameters

  Slave_Sel | SPI Slave Selection.
  RegAddr | Register Address

Returns
  XST_SUCCESS if register read is successful else XST_FAILURE

Note
  None.

Referenced by fzetta_fmc_register_read().

int fzetta_fmc_spi_devices_register_write | ( | spi_slave_sel | Slave_Sel,
|  | u8 | RegAddr,
|  | u8 | RegData
| ) |  |

This function Fidus Zetta FMC Macom SPI Devices Register Write Driver:M23428; EQ:M23554; Reclocker:M23145.

Register Write SPI Sequence: Normal 2 byte SPI sequence with first MSB = 0 Byte 1: [7]=0 (wr) + [6:0]=Register Address Byte 2: [7:0]= Register Data

Parameters

  spi_slave_sel | SPI Slave Slection.
  Slave_sel | Slave Selection.
  RegAddr | Register Address
  RegData | Register data

Returns
  XST_SUCCESS if register write is successful else XST_FAILURE

Note
  None.

Referenced by fzetta_fmc_register_write().

int fzetta_fmc_spi_init | ( | u8 | Dev_ID | ) |

This function Initialize SPI IP and its corresponding drivers and configptr instances.

Parameters

  Dev_ID | Device ID.

Returns
  XST_SUCCESS if initialization is successful else XST_FAILURE

Note
  None.

Referenced by fzetta_fmc_ip_init().